Приложение должно быть предназначено для Android 14 (API уровня 34) или выше

1. user1981540 22.08.23 14:15 Сейчас в теме
Пришло такое письмо в консоли Google Play:

----
Сведения о предупреждении
Вы не сможете выпускать обновления приложения (осталось 47 дней)
Нарушение
Приложение должно быть предназначено для Android 14 (API уровня 34) или выше
Сведения
Чтобы обеспечивать безопасность пользователей, мы предъявляем требования к целевому уровню API для всех приложений.
С 31 авг. 2024 г. вы не сможете обновлять приложения, в которых установлен уровень API ниже опубликованного в течение одного года перед выходом последней версии Android.
----

В сервисе сборки есть только API 33 (Android 13). Есть ссылка, написано что будет в мобильной 8.3.26.
Прикрепленные файлы:
Ответы
Подписаться на ответы Инфостарт бот Сортировка: Древо развёрнутое
Свернуть все
2. laperuz 46 22.08.23 17:26 Сейчас в теме
1С пишут, что поднимут в 8.3.24, выпустят до конца августа
user1981540; +1 Ответить
3. user1981540 30.08.23 09:29 Сейчас в теме
Мобильную платформу 8.3.24 выложили для скачивания, но в сервисе сборки пока её нет.
4. Evgeniy7620041976 1 07.09.23 15:16 Сейчас в теме
Пробовал я 8.3.24. Ошибки выдает и не собирает приложение(( так и не понял что нужно.

[ERR ] Значение не является значением объектного типа (Use)
Значение не является значением объектного типа (Use)
{CommonModule.MobileCfgsAndAppsServer.Module(961)}: Return rowPermission.Use;
{CommonModule.MobileApplicationBuilding.Module(5819)}: If Not MobileCfgsAndAppsServer.GetConfigurationPermission(item.Key, "AllIncomingShareRequestsTypesProcessing") Then
{CommonModule.MobileApplicationBuilding.Module(5549)}: MakeMobAppIncomingShareFile(LogFile, vtShareFileTypes, Params.ConfigFileNames, Params.ConfigDirectory);
{CommonModule.MobileApplicationBuilding.Module(1101)}: ProcessIncomingShareFileTypes(LogFile, "android", Params);


Ищет строку с ключем AllIncomingShareRequestsTypesProcessing, но ее нет в выгруженной конфе
5. laperuz 46 07.09.23 16:29 Сейчас в теме
(4)Конфигурация мобильная тоже выгружена из конфигуратора, запущенного на 8.3.24?
6. Evgeniy7620041976 1 07.09.23 16:40 Сейчас в теме
(5) Конфигурацию использовал как в рекомендациях к этой мобильной платформе 8.3.23.1688
7. laperuz 46 08.09.23 08:54 Сейчас в теме
(6)Это, вероятно, ошибка требований. Потому что "AllIncomingShareRequestsTypesProcessing", оно же "Обработка всех типов входящих запросов "Поделиться"" появилось только в 8.3.24, а значит при открытии конфигуратором версией ниже его просто не может быть в файле.

Если я не ошибаюсь, это функциональность, позволяющая приложению на 1С попасть в список приложений, которые отображаются, когда пользователь нажимает "Поделиться" чем-нибудь в ОС.
Прикрепленные файлы:
begemot; CagoBHuK; wolder; +3 Ответить
8. Evgeniy7620041976 1 08.09.23 10:06 Сейчас в теме
(7) Да. Действительно этой опции в 8.3.23 нет. У нас еще нет 8.3.24 чтоб проверить ((( где можно ее скачать в свободном доступе?
9. laperuz 46 08.09.23 10:21 Сейчас в теме
(8)Она в тестовых есть на users
11. wolder 132 15.11.23 08:25 Сейчас в теме
(7)
я не ошибаюсь, это функциональность, позволяющая приложен

Да, подтверждаю, помогают решить эту проблему эти две последних галочки, их ставим.
Скачал тестовую 8.3.24.1201 в ней есть они, а в официальной максимум 8.3.23.1912 - ещё нет.
13. muzzombie 26.01.24 13:14 Сейчас в теме
(7) Скажите, пожалуйста, как попасть в настройки, которые у вас на скриншоте?
14. laperuz 46 26.01.24 16:13 Сейчас в теме
(13)В конфигураторе открыть свойства конфигурации(ПКМ на корне конфигурации - Свойства), там есть "Используемая функциональность мобильного приложения"
muzzombie; +1 Ответить
15. muzzombie 27.01.24 00:03 Сейчас в теме
16. muzzombie 29.01.24 21:35 Сейчас в теме
(7) Увы, не помогло!
Платформа 8.3.24.1368.
Прикрепленные файлы:
17. laperuz 46 29.01.24 22:15 Сейчас в теме
(16)Версии сборщика и мобильной платформы какие?
Киньте полный лог сборки
18. muzzombie 31.01.24 20:24 Сейчас в теме
(17)
Скрытый текст
19. laperuz 46 01.02.24 04:40 Сейчас в теме
(18)
Вот же, в логе:

[WARN] Конфигурация была выгружена конфигуратором версии 8.3.23 или предшествующей версией. Рекомендуется обновить конфигурацию на версию, которая выгружена конфигуратором версии 8.3.24 или последующей версии


Нужно саму мобильную конфигурацию тоже выгружать на 8.3.24
20. muzzombie 14.02.24 13:10 Сейчас в теме
(19) Теперь на что-то другое ругается.

Скрытый текст
21. muzzombie 14.02.24 13:12 Сейчас в теме
(20)
Скрытый текст
22. laperuz 46 15.02.24 06:17 Сейчас в теме
(21)Попробуйте использовать SDK 31, вероятно платформа еще не поддерживает 33.
Платформенный сборщик сейчас на 31 собирает:

Версия Android SDK : 31, Android SDK Platform 12


P.S. рекомендую собирать с помощью платформенного сборщика(https://infostart.ru/1c/articles/1779602/), там уже все зависимости настроены и таких проблем нет.
12. o4karek 15.11.23 09:38 Сейчас в теме
(4) Этой ошибки не будет, если использовать сборщик 8.3.24.49 и выше.
Все соберется с той же конфигурацией и той платформой, что и сборка, завершавшаяся ранее с ошибкой.
10. user2005441 03.11.23 08:48 Сейчас в теме
Спасибо большое! Убил весь день на решение этой проблемы, пока не нашел это! Думал проблема в версиях библиотек java и sdk android.
Оставьте свое сообщение

Для получения уведомлений об ответах подключите телеграм бот:
Инфостарт бот